<c3p0-config>
	<default-config>
		
		<!--当连接池中的连接耗尽的时候c3p0一次同时获取的连接数。Default: 3 -->
		<property name="acquireIncrement">5</property>

		<!--定义在从数据库获取新连接失败后重复尝试的次数。Default: 30 -->
		<property name="acquireRetryAttempts">30</property>

		<!--两次连接中间隔时间，单位毫秒。Default: 1000 -->
		<property name="acquireRetryDelay">1000</property>
		<property name="preferredTestQuery">select sysdate from dual</property>

		<!--如果设为true那么在取得连接的同时将校验连接的有效性。Default: false -->
		<property name="testConnectionOnCheckin">true</property>

		<!--<property name="automaticTestTable">con_test</property>-->
		<property name="checkoutTimeout">30000</property>
		<property name="idleConnectionTestPeriod">60</property>
		<property name="initialPoolSize">10</property>
		<property name="maxIdleTime">30</property>
		<property name="maxPoolSize">500</property>
		<property name="minPoolSize">10</property>
		<property name="maxStatements">0</property>
		<property name="maxStatementsPerConnection">0</property>
	</default-config>
	
</c3p0-config>